> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook Details

> Get webhook details based on their ID



## OpenAPI

````yaml /openapi-v1.json get /webhooks/detail/{id}
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /webhooks/detail/{id}:
    get:
      tags:
        - Webhooks
      summary: Get Webhook Details
      description: Get webhook details based on their ID
      operationId: get-webhook-details
      parameters:
        - name: id
          in: path
          required: true
          description: Webhook Id
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  webhook:
                    type: object
                    properties:
                      created_date:
                        type: string
                      event:
                        type: array
                        items:
                          type: string
                      modified_date:
                        type: string
                      name:
                        type: string
                      status:
                        type: string
                      url:
                        type: string
                x-examples:
                  Example 1:
                    webhook:
                      created_date: '2024-02-14 18:10:49'
                      event:
                        - campaign_sent
                        - campaign_opened
                        - campaign_clicked
                        - campaign_error
                        - spam
                        - hard_bounce
                        - unsubscribe
                      modified_date: '2024-02-14 18:10:49'
                      name: new webhook
                      status: Active
                      url: https://www.example.com
              examples:
                Example-1:
                  value:
                    webhook:
                      created_date: '2024-02-14 18:10:49'
                      event:
                        - campaign_sent
                        - campaign_opened
                        - campaign_clicked
                        - campaign_error
                        - spam
                        - hard_bounce
                        - unsubscribe
                      id: SKuK
                      modified_date: '2024-02-14 18:10:49'
                      name: new webhook
                      status: Active
                      url: https://www.example.com
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
                x-examples:
                  Example 1:
                    errors:
                      - field: ''
                        message: Authorization failed
              examples:
                Example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                x-examples:
                  Example 1:
                    error: Record not found with the given Id
              examples:
                Example-1:
                  value:
                    error: Record not found with the given Id
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````